%define	base_name	jsdk
%define	major_version	1.3
%define	name		%{base_name}%{major_version}
%define version		1.3.1
%define cvs_version	1_3_1
%define release		4jpp
%define javadocdir	%{_datadir}/javadoc
%define section		non-free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Manual and javadoc for %{name}
License:	Sun Binary Code License
Group:		Development/Documentation
Vendor:		JPackage Project
Distribution:	JPackage
URL:		http://java.sun.com/j2se/1.3
Source0:	j2sdk-%{cvs_version}-doc.zip
NoSource:	0
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Manual and javadoc for %{name}.

%package manual
Summary:	Manual for %{name}
Group:		Development/Documentation

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n docs
# fix perms
chmod -R go=u-w *
chmod -R u+w *

%install
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
rm -rf api
# change link to javadoc
for file in `find . -name "*.html"`; do
    perl -pi -e 's|href="([./]*)api/([^"]*)"|href="$1../../javadoc/%{name}-%{version}/$2"|gi' $file
done

%clean
rm -rf $RPM_BUILD_ROOT

%files manual
%defattr(-,root,root)
%doc *

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-4jpp
- vendor, distribution, group tags

* Fri Apr 05 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-3jpp 
- non-free section

* Sat Feb 16 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-2jpp
- fixed javadoc link everywhere

* Sun Feb 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.3.1-1jpp 
- first jpp release
